org.apache.http.client.cache

## Interface HttpCacheInvalidator

    public interface HttpCacheInvalidator

Given a particular HttpRequest, flush any cache entries that this request would invalidate.

Since:
  4.3

### Method Summary

Methods
`void` `flushInvalidatedCacheEntries(org.apache.http.HttpHost host, org.apache.http.HttpRequest req)` Remove cache entries from the cache that are no longer fresh or have been invalidated in some way.
`void` `flushInvalidatedCacheEntries(org.apache.http.HttpHost host, org.apache.http.HttpRequest request, org.apache.http.HttpResponse response)` Flushes entries that were invalidated by the given response received for the given host/request pair.

### Method Detail

#### flushInvalidatedCacheEntries

    void flushInvalidatedCacheEntries(org.apache.http.HttpHost host,
                                    org.apache.http.HttpRequest req)

Remove cache entries from the cache that are no longer fresh or have been invalidated in some way.

Parameters:
  `host` - The backend host we are talking to
  `req` - The HttpRequest to that host

#### flushInvalidatedCacheEntries

    void flushInvalidatedCacheEntries(org.apache.http.HttpHost host,
                                    org.apache.http.HttpRequest request,
                                    org.apache.http.HttpResponse response)

Flushes entries that were invalidated by the given response received for the given host/request pair.